package es.uv.saic.domain;

import java.math.BigInteger;
import java.util.List;

public class InstanciaTascaTransfer {

	private BigInteger idInstanciaTasca; 
	private Integer idTasca;
	private Integer idProces;
	private String estat;
	private Integer idTascap;
	private String centre;
	private String titulacio;
	private String dataLim;
	private Integer tipus;
	private String codiEvidencia;
	private String nomEvidenciaCas;
	private String nomEvidenciaVal;
	private String titolCas;
	private String titolVal;
	private String descripcioCas;
	private String descripcioVal;
	private String dataFet;
	private String dataMod;
	private String usuariFet;
	private String evidencia;
	private String text;
	private boolean isAssignedToUser;
	private boolean isExpired;
	private List<EvidenciaTransfer> oldEvidences;
	private List<TascaVersioTransfer> versions;
	private String descripcioRolCas;
	private String descripcioRolVal;
	private String estatInstancia;
	private String opcions;
	
	public BigInteger getIdInstanciaTasca() {
		return idInstanciaTasca;
	}
	public void setIdInstanciaTasca(BigInteger idInstanciaTasca) {
		this.idInstanciaTasca = idInstanciaTasca;
	}
	public String getEstat() {
		return estat;
	}
	public void setEstat(String estat) {
		this.estat = estat;
	}
	public Integer getIdTascap() {
		return idTascap;
	}
	public void setIdTascap(Integer idtascap) {
		this.idTascap = idtascap;
	}
	public String getCentre() {
		return centre;
	}
	public void setCentre(String centre) {
		this.centre = centre;
	}
	public String getTitulacio() {
		return titulacio;
	}
	public void setTitulacio(String titulacio) {
		this.titulacio = titulacio;
	}
	public String getDataLim() {
		return dataLim;
	}
	public void setDataLim(String dataLim) {
		this.dataLim = dataLim;
	}
	public String getCodiEvidencia() {
		return codiEvidencia;
	}
	public void setCodiEvidencia(String codiEvidencia) {
		this.codiEvidencia = codiEvidencia;
	}
	public String getNomEvidenciaCas() {
		return nomEvidenciaCas;
	}
	public void setNomEvidenciaCas(String nomEvidenciaCas) {
		this.nomEvidenciaCas = nomEvidenciaCas;
	}
	public String getNomEvidenciaVal() {
		return nomEvidenciaVal;
	}
	public void setNomEvidenciaVal(String nomEvidenciaVal) {
		this.nomEvidenciaVal = nomEvidenciaVal;
	}
	public String getTitolCas() {
		return titolCas;
	}
	public void setTitolCas(String titolCas) {
		this.titolCas = titolCas;
	}
	public String getTitolVal() {
		return titolVal;
	}
	public void setTitolVal(String titolVal) {
		this.titolVal = titolVal;
	}
	public String getDescripcioCas() {
		return descripcioCas;
	}
	public void setDescripcioCas(String descripcioCas) {
		this.descripcioCas = descripcioCas;
	}
	public String getDescripcioVal() {
		return descripcioVal;
	}
	public void setDescripcioVal(String descripcioVal) {
		this.descripcioVal = descripcioVal;
	}
	public String getDataFet() {
		return dataFet;
	}
	public void setDataFet(String dataFet) {
		this.dataFet = dataFet;
	}
	public String getUsuariFet() {
		return usuariFet;
	}
	public void setUsuariFet(String usuariFet) {
		this.usuariFet = usuariFet;
	}
	public boolean getIsAssignedToUser() {
		return isAssignedToUser;
	}
	public void setAssignedToUser(boolean isAssignedToUser) {
		this.isAssignedToUser = isAssignedToUser;
	}
	public boolean getIsExpired() {
		return isExpired;
	}
	public void setIsExpired(boolean isExpired) {
		this.isExpired = isExpired;
	}
	public Integer getIdTasca() {
		return idTasca;
	}
	public void setIdTasca(Integer idTasca) {
		this.idTasca = idTasca;
	}
	public Integer getIdProces() {
		return idProces;
	}
	public void setIdProces(Integer idProces) {
		this.idProces = idProces;
	}
	public Integer getTipus() {
		return tipus;
	}
	public void setTipus(Integer tipus) {
		this.tipus = tipus;
	}
	public String getEvidencia() {
		return evidencia;
	}
	public void setEvidencia(String evidencia) {
		this.evidencia = evidencia;
	}
	public String getText() {
		return text;
	}
	public void setText(String text) {
		this.text = text;
	}
	public List<EvidenciaTransfer> getOldEvidences() {
		return oldEvidences;
	}
	public void setOldEvidences(List<EvidenciaTransfer> oldEvidences) {
		this.oldEvidences = oldEvidences;
	}
	public String getDescripcioRolCas() {
		return descripcioRolCas;
	}
	public void setDescripcioRolCas(String descripcioRolCas) {
		this.descripcioRolCas = descripcioRolCas;
	}
	public String getDescripcioRolVal() {
		return descripcioRolVal;
	}
	public void setDescripcioRolVal(String descripcioRolVal) {
		this.descripcioRolVal = descripcioRolVal;
	}
	public List<TascaVersioTransfer> getVersions() {
		return versions; 
	}
	public void setVersions(List<TascaVersioTransfer> versions) {
		this.versions = versions;
	}
	public String getEstatInstancia() {
		return estatInstancia;
	}
	public void setEstatInstancia(String estatInstancia) {
		this.estatInstancia = estatInstancia;
	}
	public String getOpcions() {
		return opcions;
	}
	public void setOpcions(String opcions) {
		this.opcions = opcions;
	}
	public String getDataMod() {
		return dataMod;
	}
	public void setDataMod(String dataMod) {
		this.dataMod = dataMod;
	}
	
}
